/*
    Copyright (C) 2007, 2009 Darrin M. Gorski

    This file is part of LCSMessengerHistory.

    LCSMessengerHistory is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    LCSMessengerHistory is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


using System;
using System.Windows.Forms;

namespace LCSMessengerHistory {

    static class Program {

        /// The main entry point for the application.
        [STAThread]
        static void Main() {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            HistoryHandler hist = null;
            try {
                hist = new HistoryHandler();
            } catch(System.ApplicationException hhae) {
                string bogus = hhae.Message;
            }
            if (hist != null) {
                UserControl sysTray = new SystemTray(hist);
                Application.Run();
            }
        }
    }
}